messed up my config.. MM tells me to create a config file



  • @johnnyboy said in messed up my config.. MM tells me to create a config file:

    };

    I see that you got one }; that are making the error should look like this }, if i am right but i am new to this to so i can be wrong 🙂



  • This post is deleted!


  • This post is deleted!


  • Hey,

    I have some issues here too. Not very familiar with Linux and just got my first RPI, for this project specifically 🙂

    I’ve been trying for hours now to get this to work, but MM just says that I need a working config file. I’ve tried editing the text in Sublime (I find it easier to read than the built in texteditor on Raspbian), but I can’t seem to find the errors.

    I’m attaching the contents of my config file, minus the tokens and stuff:

    /* Magic Mirror Config Sample
     *
     * By Michael Teeuw http://michaelteeuw.nl
     * MIT Licensed.
     */
    
    var config = {
    	port: 8080,
    	address: 192.168.86.131,
    	ipWhitelist: ["192.168.86.100", "192.168.86.150"],
    
    	language: "en",
    	timeFormat: 24,
    	units: "metric",
    
    	modules: [
    		{
    			module: "alert",
    		},
    		{
    			module: "updatenotification",
    			position: "top_bar"
    		},
    		{
    			module: "clock",
    			position: "top_left"
    		},
    		{
    			module: "calendar",
    			header: "Kalender",
    			position: "top_left",
    			config: {
    				calendars: [
    					{
    						symbol: "calendar-check-o",
    						url: "https://calendar.google.com/calendar/the_rest_of_my_calendars_URL"
    					}
    				]
    			}
    		},
    		{
    			module: "compliments",
    			position: "lower_third"
    		},
    		{
    			module: "currentweather",
    			position: "top_right",
    			config: {
    				location: "Kongsvinger",
    				locationID: "3149533",  //ID from http://www.openweathermap.org
    				appid: "MY-TOKEN-HERE"
    			}
    		},
    		{
    			module: "weatherforecast",
    			position: "top_right",
    			header: "Weather Forecast",
    			config: {
    				location: "Kongsvinger",
    				locationID: "3149533",  //ID from http://www.openweathermap.org
    				appid: "MY-TOKEN-HERE"
    			}
    		},
    		{
    			module: "newsfeed",
    			position: "bottom_bar",
    			config: {
    				feeds: [
    					{
    						title: "NRK Siste nytt",
    						url: "http://www.nrk.no/nyheter/siste.rss"
    					}
    				],
    				showSourceTitle: true,
    				showPublishDate: true
    			}
    		},
    	]
    
    }
    
    {
    	module: "MMM-Ruter",
    	header: "Reisetider",
    	position: "top_left",
    	config: {
    		showPlatform: true, 
    		maxItems: 10,
    		stops: [
    			{
    				stopId: "4024715",
    				platforms: [ "1", "2" ],
    				timeToThere: 5
    			}
    			{
    				stopId: "4020080",
    				platforms: [ "1", "2" ],
    				timeToThere: 0
    			}
    			
    		]
    	}
    };
    /*************** DO NOT EDIT THE LINE BELOW ***************/
    if (typeof module !== "undefined") {module.exports = config;}
    
    

    Any help is highly appreciated!



  • This post is deleted!


  • @johnnyboy Thanks for the leads! I’ll have a look at it.
    I didn’t change the original file (or at least, I don’t think I did) - except for the alterations with keys and the Ruter-addon.

    Stupid question: Is the config.js file supposed to be in the config folder, or should there be a /config/config (ie another folder called config) that contains the config.js ?


  • Project Sponsor Module Developer

    @xy86 said in messed up my config.. MM tells me to create a config file:

    Is the config.js file supposed to be in the config folder

    Yes



  • This post is deleted!


  • @johnnyboy Thanks - I should have learned that by now, but… Haha. You know.

    I ended up re-installing Raspbian as i messed up something so the wifi-card wasn’t recognized anymore.
    I also followed the step-by-step guide at https://forum.magicmirror.builders/topic/236/complete-setup-tutorial/6 and got by the cleaning process. I then tried installing apache2 and PHP5 again; getting the same error as the one below.

    When I try installing MM now, I get these errors:

    Installing helper tools ...
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    build-essential is already the newest version.
    curl is already the newest version.
    git is already the newest version.
    unzip is already the newest version.
    wget is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    1 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Can't set locale; make sure $LC_* and $LANG are correct!
    perl: warning: Setting locale failed.
    perl: warning: Please check that your locale settings:
    	LANGUAGE = (unset),
    	LC_ALL = (unset),
    	LC_CTYPE = "UTF-8",
    	LANG = "en_GB.UTF-8"
        are supported and installed on your system.
    perl: warning: Falling back to a fallback locale ("en_GB.UTF-8").
    locale: Cannot set LC_CTYPE to default locale: No such file or directory
    locale: Cannot set LC_ALL to default locale: No such file or directory
    Setting up libpam-chksshpwd:armhf (1.1.8-3.1+deb8u2+rpi2) ...
    mkdir: cannot create directory '/var/lib/chksshpwd/': File exists
    dpkg: error processing package libpam-chksshpwd:armhf (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     libpam-chksshpwd:armhf
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    

    I tried googling the error, but I’m not sure if I’m on the right track with solutions described.

    Any ideas?


  • Moderator

    What are you installing PHP5 and apache2 for?